Bug 1896546

Summary: Use https:// for source
Product: [Fedora] Fedora Reporter: Terje Røsten <terje.rosten>
Component: openldapAssignee: Simon Pichugin <spichugi>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: matushonek, rmeggins, spichugi, vashirov
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openldap-2.4.57-5.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-30 03:14:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Terje Røsten 2020-11-10 20:47:04 UTC
ftp is a bit legacy by now. Use https:// to download source:


diff --git a/openldap.spec b/openldap.spec
index bd5da4c..b1ae0c7 100644
--- a/openldap.spec
+++ b/openldap.spec
@@ -10,7 +10,7 @@ Summary: LDAP support libraries
 License: OpenLDAP
 URL: http://www.openldap.org/
 
-Source0: ftp://ftp.OpenLDAP.org/pub/OpenLDAP/openldap-release/openldap-%{version}.tgz
+Source0: https://openldap.org/software/download/OpenLDAP/openldap-release/openldap-%{version}.tgz
 Source1: slapd.service
 Source2: slapd.tmpfiles
 Source3: slapd.ldif

Comment 1 Ben Cotton 2021-02-09 16:55:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Fedora Update System 2021-06-14 11:16:16 UTC
FEDORA-2021-97949d7a4e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-97949d7a4e

Comment 3 Fedora Update System 2021-06-15 01:08:31 UTC
FEDORA-2021-97949d7a4e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-97949d7a4e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-97949d7a4e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-06-30 03:14:55 UTC
FEDORA-2021-97949d7a4e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.